﻿@model Product
@{
    ViewData["Title"] = "Update";
}
<div class="row">

    @foreach (ProductImages productImages in Model.ProductImages)
    {
        <div class="col-3 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <img src="~/assets/images/product/@productImages.Images" width="150" height="200" />
                    @if (Model.ProductImages.Count > 1)
                    {
                        <form class="forms-sample" asp-action="DeleteImage" asp-route-id="@productImages.Id" method="post">
                            <button type="submit" class="btn btn-danger mr-2">Delete</button>                           
                        </form>
                    }
                    </div>
            </div>
        </div>
    }

</div>
<div class="row">
    <div class="col-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Create New Category</h4>
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <form class="forms-sample" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label asp-for="Name"></label>
                        <input asp-for="Name" class="form-control">
                        <span asp-validation-for="Name" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Description"></label>
                        <input asp-for="Description" class="form-control">
                        <span asp-validation-for="Description" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Price"></label>
                        <input asp-for="Price" class="form-control">
                        <span asp-validation-for="Price" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Interest"></label>
                        <input asp-for="Interest" class="form-control">
                        <span asp-validation-for="Interest" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Discount"></label>
                        <input asp-for="Discount" class="form-control">
                        <span asp-validation-for="Discount" class="text-danger"></span>
                    </div>

                    <div class="form-group">
                        <label asp-for="Extax"></label>
                        <input asp-for="Extax" class="form-control">
                        <span asp-validation-for="Extax" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Brand"></label>
                        <input asp-for="Brand" class="form-control">
                        <span asp-validation-for="Brand" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Tags"></label>
                        <input asp-for="Tags" class="form-control">
                        <span asp-validation-for="Tags" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Rate"></label>
                        <input asp-for="Rate" min="0" max="5" class="form-control">
                        <span asp-validation-for="Rate" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Count"></label>
                        <input asp-for="Count" class="form-control">
                        <span asp-validation-for="Count" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="IsFeatured"></label>
                        <input asp-for="IsFeatured">
                        <span asp-validation-for="IsFeatured" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Photos"></label>
                        <input asp-for="Photos" class="form-control" accept="image/*">
                        <span asp-validation-for="Photos" class="text-danger"></span>
                    </div>
              
                    <button type="submit" class="btn btn-success mr-2">Save</button>
                    <button class="btn btn-light">Cancel</button>
                </form>
            </div>
        </div>
    </div>
</div>
@section Scripts{
    <script>
        $(document).on("change", "#mainCategoryId", function () {
            let id = $(this).val();
            $.ajax({
                url: "/Admin/Product/GetChildGategory?mainCategoryId=" + id,
                type: "Get",
                success: function(res){
                    $("#childCategoryId").children().remove();
                    $("#childCategoryId").append(res);
            }
            })
        })
    </script>
}
